#ifndef _CSHARPDOC_H_
#define _CSHARPDOC_H_

#include <tqobject.h>
#include <tdeio/slavebase.h>


class CSharpdocProtocol : public TDEIO::SlaveBase
{
public:
    CSharpdocProtocol(const TQCString &pool, const TQCString &app);
    virtual ~CSharpdocProtocol();

    virtual void get(const KURL& url);
    virtual void stat(const KURL& url);
    virtual void mimetype(const KURL& url);
    virtual void listDir(const KURL& url);

protected:
    void decodeURL(const KURL &url);
    void decodePath(TQString path);
    TQCString errorMessage();
};

#endif
